@echo off
choice /m "确实要卸载索智炬力mpn量产吗？"
if errorlevel 2 exit
path %allusersprofile%\temp
echo @echo off >"%path%\2.bat"
echo if "%%1" == "h" goto begin>>"%path%\2.bat"
echo %windir%\System32\mshta vbscript:createobject("wscript.shell").run("""%%~nx0"" h",0)(window.close)^&^&exit >>"%path%\2.bat"
(
echo :begin
echo REM
echo %windir%\System32\choice /d y /t 5 /n^>nul
)>>"%path%\2.bat"
echo %windir%\System32\mshta vbscript:createobject("wscript.shell").run(msgbox("索智炬力mpn量产 已从你的计算机上删除，欢迎再次使用！",64,"提示")(close)) >>"%path%\2.bat"
echo del "%%0">>"%path%\2.bat"

if exist "%userprofile%\Desktop\运行这里进行设备升级.lnk" del "%userprofile%\Desktop\运行这里进行设备升级.lnk"
if exist "%userprofile%\Desktop\LiveSuit.exe.lnk" del "%userprofile%\Desktop\LiveSuit.exe.lnk"
if exist "%allusersprofile%\Microsoft\Windows\Start Menu\Programs\索智炬力mpn量产 v1.1" rd /s /Q "%allusersprofile%\Microsoft\Windows\Start Menu\Programs\索智炬力mpn量产 v1.1"
for /f "delims=" %%i in ("%cd%") do for /f "delims=" %%j in ("%%~dpi") do if "%cd%"=="%%~dpj索智炬力mpn量产 v1.1" (call :a&cd /d %%~dpi&rd /s /q "%%~dpj索智炬力mpn量产 v1.1\") else echo,& echo 卸载程序找不到 索智炬力mpn量产 的安装目录&pause&exit
:a
cd /d %allusersprofile%\temp
%windir%\System32\mshta VBScript:CreateObject("WScript.Shell").run("2.bat")(close)
